const szamok = [1, 20, -10, -2, -4, 6, -5, 5, 8, 2]
let negativ_szamok_lista = []
let pozitiv_szamok_lista = []

function kiiras(negativ_osszeg, pozitiv_osszeg) {
    console.log(`A pozitív számok összege: ${pozitiv_osszeg}`);
    console.log(`A negatív számok összege: ${negativ_osszeg}`);
    
}

function negativak() {
    szamok.forEach(szam => {
        if (szam < 0) {
            negativ_szamok_lista.push(szam)
        }
    })
}

function pozitivak() {
    szamok.forEach(szam => {
        if (szam > 0) {
            pozitiv_szamok_lista.push(szam)
        }
    })
}

function vegrehajtas(callbackKiiras) {
    negativak()
    pozitivak()
    var negativ_osszeg = negativ_szamok_lista.reduce((accumulator, currentValue) => {
        return accumulator + currentValue
    })

    var pozitiv_osszeg = pozitiv_szamok_lista.reduce((accumulator, currentValue) => {
        return accumulator + currentValue
    })
    
    callbackKiiras(negativ_osszeg, pozitiv_osszeg)
}

vegrehajtas(kiiras)